Subject: bug#35671: closed (Re: bug#35671: guix-daemon cannot find UTF-8 locale out-of-the-box on foreign distros)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Dec 2021 17:56:01 +0000

Your bug report

#35671: guix-daemon cannot find UTF-8 locale out-of-the-box on foreign distros

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35671: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35671
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35671: guix-daemon cannot find UTF-8 locale out-of-the-box on foreign distros
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Dec 2021 12:55:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> I noticed that on Debian 9, ‘guix-daemon.service’ (systemd) runs under
>>> the C.UTF-8 locale by default, even if the machine is otherwise
>>> configured with another locale.  Consequently, ‘guix substitute’ keeps
>>> complaining about locales and all that, which is terrible.
>>
>> It turns out that the “C.UTF-8” locale doesn’t exist upstream in glibc:
>>
>>   https://bugzilla.redhat.com/show_bug.cgi?id=902094
>>
>> But anyway, I think we should just set “LC_ALL=en_US.utf8” in the
>> .service file: that’s what we do on Guix System, and the choice of a
>> locale doesn’t matter since ‘guix substitute’ honors the client’s
>> locale.
>
> Done in 489d6c0dc03f1d95a3fefa6301f36cac9b50b2c3.
>
> I got the syntax from
> <https://www.freedesktop.org/software/systemd/man/systemd.service.html>
> but I wouldn’t mind if someone would double-check!

Closing, then :-).

Maxim

Subject: 'glibc-utf8-locales' should include C.UTF-8 locale
From: Ludovic Courtès <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Fri, 10 May 2019 18:31:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I noticed that on Debian 9, ‘guix-daemon.service’ (systemd) runs under
the C.UTF-8 locale by default, even if the machine is otherwise
configured with another locale.  Consequently, ‘guix substitute’ keeps
complaining about locales and all that, which is terrible.

Thus, I think ‘glibc-utf8-locales’ should provide that locale.

Ludo’.